Index: /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/phyetat0.F
===================================================================
--- /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/phyetat0.F	(revision 633)
+++ /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/phyetat0.F	(revision 634)
@@ -5,10 +5,14 @@
 c
       SUBROUTINE phyetat0 (fichnom,dtime,co2_ppm_etat0,solaire_etat0,
-     .            rlat,rlon, pctsrf, tsol,tsoil,deltat,qsurf,qsol,snow,
-     .           albe, alblw, evap, rain_fall, snow_fall, solsw, sollw,
-     .           fder,radsol,frugs,agesno,clesphy0,
-     .           zmea,zstd,zsig,zgam,zthe,zpic,zval,rugsrel,tabcntr0,
-     .           t_ancien,q_ancien,ancien_ok, rnebcon, ratqs,clwcon,
-     .           run_off_lic_0)
+     .            rlat_p,rlon_p, pctsrf_p, tsol_p,tsoil_p,deltat_p,
+     .           qsurf_p,qsol_p,snow_p,albe_p, alblw_p, evap_p,
+     .           rain_fall_p, snow_fall_p,solsw_p, sollw_p,
+     .           fder_p,radsol_p,frugs_p,agesno_p,clesphy0,
+     .           zmea_p,zstd_p,zsig_p,zgam_p,zthe_p,zpic_p,zval_p,
+     .           rugsrel_p,tabcntr0,
+     .           t_ancien_p,q_ancien_p,ancien_ok, rnebcon_p, ratqs_p,
+     .           clwcon_p,run_off_lic_0_p)
+      USE dimphy,klon=>klon2,klon2=>klon,zmasq_p=>zmasq
+      USE iophy
       IMPLICIT none
 c======================================================================
@@ -17,5 +21,5 @@
 c======================================================================
 #include "dimensions.h"
-#include "dimphy.h"
+cym#include "dimphy.h"
 #include "netcdf.inc"
 #include "indicesol.h"
@@ -27,7 +31,44 @@
       REAL dtime
       INTEGER radpas
-      REAL rlat(klon), rlon(klon)
+      REAL rlat_p(klon2), rlon_p(klon2)
       REAL co2_ppm_etat0
       REAL solaire_etat0
+      REAL tsol_p(klon2,nbsrf)
+      REAL tsoil_p(klon2,nsoilmx,nbsrf)
+      REAL deltat_p(klon2)
+      REAL qsurf_p(klon2,nbsrf)
+      REAL qsol_p(klon2)
+      REAL snow_p(klon2,nbsrf)
+      REAL albe_p(klon2,nbsrf)
+cIM BEG alblw
+      REAL alblw_p(klon2,nbsrf)
+cIM END alblw
+      REAL evap_p(klon2,nbsrf)
+      REAL radsol_p(klon2)
+      REAL rain_fall_p(klon2)
+      REAL snow_fall_p(klon2)
+      REAL sollw_p(klon2)
+      real solsw_p(klon2)
+      real fder_p(klon2)
+      REAL frugs_p(klon2,nbsrf)
+      REAL agesno_p(klon2,nbsrf)
+      REAL zmea_p(klon2)
+      REAL zstd_p(klon2)
+      REAL zsig_p(klon2)
+      REAL zgam_p(klon2)
+      REAL zthe_p(klon2)
+      REAL zpic_p(klon2)
+      REAL zval_p(klon2)
+      REAL rugsrel_p(klon2)
+      REAL pctsrf_p(klon2, nbsrf)
+      REAL run_off_lic_0_p(klon2)
+      
+      REAL t_ancien_p(klon2,klev), q_ancien_p(klon2,klev)
+      real rnebcon_p(klon2,klev),clwcon_p(klon2,klev)
+      real ratqs_p(klon2,klev)
+      LOGICAL ancien_ok
+      
+      REAL zmasq(klon)
+      REAL rlat(klon), rlon(klon)
       REAL tsol(klon,nbsrf)
       REAL tsoil(klon,nsoilmx,nbsrf)
@@ -60,8 +101,11 @@
       REAL fractint(klon)
       REAL run_off_lic_0(klon)
-
-      REAL t_ancien(klon,klev), q_ancien(klon,klev)
-      real rnebcon(klon,klev),clwcon(klon,klev),ratqs(klon,klev)
-      LOGICAL ancien_ok
+      REAL t_ancien(klon,klev)
+      REAL q_ancien(klon,klev)
+      real rnebcon(klon,klev)
+      real clwcon(klon,klev)
+      real ratqs(klon,klev)
+     
+
 
       INTEGER        longcles
@@ -78,4 +122,5 @@
       CHARACTER*7 str7
       CHARACTER*2 str2
+      real iolat(jjm+1)
 c
 c Ouvrir le fichier contenant l'etat initial:
@@ -1248,4 +1293,5 @@
       ENDIF
 c
+      clwcon=0.
       ierr = NF_INQ_VARID (nid, "CLWCON", nvarid)
       IF (ierr.NE.NF_NOERR) THEN
@@ -1270,4 +1316,5 @@
       PRINT*,'Eau liquide convective (ecart-type) clwcon:', xmin, xmax
 c
+      rnebcon=0.
       ierr = NF_INQ_VARID (nid, "RNEBCON", nvarid)
       IF (ierr.NE.NF_NOERR) THEN
@@ -1312,4 +1359,5 @@
 c Lecture ratqs
 c
+       ratqs=0.
       ierr = NF_INQ_VARID (nid, "RATQS", nvarid)
       IF (ierr.NE.NF_NOERR) THEN
@@ -1362,4 +1410,50 @@
       ierr = NF_CLOSE(nid)
 c
+
+cym  en attendant mieux
+        iolat(1)=rlat(1)
+	iolat(jjm+1)=rlat(klon)
+	do i=2,jjm
+	  iolat(i)=rlat(2+(i-2)*iim)
+	enddo
+	
+        call init_iophy(iolat,rlon(2:iim+1))
+	
+      call ScatterField( rlat,rlat_p,1)
+      call ScatterField( rlon,rlon_p,1)
+      call ScatterField( tsol,tsol_p,nbsrf)
+      call ScatterField( tsoil,tsoil_p,nsoilmx*nbsrf)
+      call ScatterField( deltat,deltat_p,1)
+      call ScatterField( qsurf,qsurf_p,nbsrf)
+      call ScatterField( qsol,qsol_p,1)
+      call ScatterField( snow,snow_p,nbsrf)
+      call ScatterField( albe,albe_p,nbsrf)
+      call ScatterField( alblw,alblw_p,nbsrf)
+      call ScatterField( evap,evap_p,nbsrf)
+      call ScatterField( radsol,radsol_p,1)
+      call ScatterField( rain_fall,rain_fall_p,1)
+      call ScatterField( snow_fall,snow_fall_p,1)
+      call ScatterField( sollw,sollw_p,1)
+      call ScatterField( solsw,solsw_p,1)
+      call ScatterField( fder,fder_p,1)
+      call ScatterField( frugs,frugs_p,nbsrf)
+      call ScatterField( agesno,agesno_p,nbsrf)
+      call ScatterField( zmea,zmea_p,1)
+      call ScatterField( zstd,zstd_p,1)
+      call ScatterField( zsig,zsig_p,1)
+      call ScatterField( zgam,zgam_p,1)
+      call ScatterField( zthe,zthe_p,1)
+      call ScatterField( zpic,zpic_p,1)
+      call ScatterField( zval,zval_p,1)
+      call ScatterField( rugsrel,rugsrel_p,1)
+      call ScatterField( pctsrf,pctsrf_p, nbsrf)
+      call ScatterField( run_off_lic_0,run_off_lic_0_p,1)
+      call ScatterField( t_ancien,t_ancien_p,klev)
+      call ScatterField( q_ancien,q_ancien_p,klev)
+      call ScatterField( rnebcon,rnebcon_p,klev)
+      call ScatterField( clwcon,clwcon_p,klev)
+      call ScatterField( ratqs,ratqs_p,klev)
+      call ScatterField( zmasq,zmasq_p,1)
+      
       RETURN
       END
Index: /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/phyredem.F
===================================================================
--- /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/phyredem.F	(revision 633)
+++ /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/phyredem.F	(revision 634)
@@ -4,11 +4,12 @@
 c
       SUBROUTINE phyredem (fichnom,dtime,radpas,
-     .           rlat,rlon, pctsrf,tsol,tsoil,deltat,qsurf,qsol,snow,
-     .           albedo, alblw, evap, rain_fall, snow_fall,
-     .           solsw, sollw,fder,
-     .           radsol,frugs,agesno,
-     .           zmea,zstd,zsig,zgam,zthe,zpic,zval,rugsrel,
-     .           t_ancien, q_ancien, rnebcon, ratqs, clwcon,
-     .           run_off_lic_0)
+     .           rlat_p,rlon_p, pctsrf_p,tsol_p,tsoil_p,deltat_p,
+     .           qsurf_p,qsol_p,snow_p,albedo_p, alblw_p, evap_p,
+     .           rain_fall_p, snow_fall_p,solsw_p, sollw_p,fder_p,
+     .           radsol_p,frugs_p,agesno_p,zmea_p,zstd_p,zsig_p,
+     .           zgam_p,zthe_p,zpic_p,zval_p,rugsrel_p,
+     .           t_ancien_p, q_ancien_p, rnebcon_p, ratqs_p, clwcon_p,
+     .           run_off_lic_0_p)
+      USE dimphy
       IMPLICIT none
 c======================================================================
@@ -16,6 +17,6 @@
 c Objet: Ecriture de l'etat de redemarrage pour la physique
 c======================================================================
-#include "dimensions.h"
-#include "dimphy.h"
+cym#include "dimensions.h"
+cym#include "dimphy.h"
 #include "netcdf.inc"
 #include "indicesol.h"
@@ -28,35 +29,66 @@
       REAL dtime
       INTEGER radpas
-      REAL rlat(klon), rlon(klon)
-      REAL tsol(klon,nbsrf)
-      REAL tsoil(klon,nsoilmx,nbsrf)
-      REAL deltat(klon)
-      REAL qsurf(klon,nbsrf)
-      REAL qsol(klon)
-      REAL snow(klon,nbsrf)
-      REAL albedo(klon,nbsrf)
+      REAL rlat_p(klon), rlon_p(klon)
+      REAL tsol_p(klon,nbsrf)
+      REAL tsoil_p(klon,nsoilmx,nbsrf)
+      REAL deltat_p(klon)
+      REAL qsurf_p(klon,nbsrf)
+      REAL qsol_p(klon)
+      REAL snow_p(klon,nbsrf)
+      REAL albedo_p(klon,nbsrf)
 cIM BEG
-      REAL alblw(klon,nbsrf)
+      REAL alblw_p(klon,nbsrf)
 cIM END
-      REAL evap(klon,nbsrf)
-      REAL rain_fall(klon)
-      REAL snow_fall(klon)
-      real solsw(klon)
-      real sollw(klon)
-      real fder(klon)
-      REAL radsol(klon)
-      REAL frugs(klon,nbsrf)
-      REAL agesno(klon,nbsrf)
-      REAL zmea(klon)
-      REAL zstd(klon)
-      REAL zsig(klon)
-      REAL zgam(klon)
-      REAL zthe(klon)
-      REAL zpic(klon)
-      REAL zval(klon)
-      REAL rugsrel(klon)
-      REAL pctsrf(klon, nbsrf)
-      REAL t_ancien(klon,klev), q_ancien(klon,klev)
-      real clwcon(klon,klev),rnebcon(klon,klev),ratqs(klon,klev)
+      REAL evap_p(klon,nbsrf)
+      REAL rain_fall_p(klon)
+      REAL snow_fall_p(klon)
+      real solsw_p(klon)
+      real sollw_p(klon)
+      real fder_p(klon)
+      REAL radsol_p(klon)
+      REAL frugs_p(klon,nbsrf)
+      REAL agesno_p(klon,nbsrf)
+      REAL zmea_p(klon)
+      REAL zstd_p(klon)
+      REAL zsig_p(klon)
+      REAL zgam_p(klon)
+      REAL zthe_p(klon)
+      REAL zpic_p(klon)
+      REAL zval_p(klon)
+      REAL rugsrel_p(klon)
+      REAL pctsrf_p(klon, nbsrf)
+      REAL t_ancien_p(klon,klev), q_ancien_p(klon,klev)
+      real clwcon_p(klon,klev),rnebcon_p(klon,klev),ratqs_p(klon,klev)
+      REAL run_off_lic_0_p(klon)
+      
+      REAL rlat(klon2), rlon(klon2)
+      REAL tsol(klon2,nbsrf)
+      REAL tsoil(klon2,nsoilmx,nbsrf)
+      REAL deltat(klon2)
+      REAL qsurf(klon2,nbsrf)
+      REAL qsol(klon2)
+      REAL snow(klon2,nbsrf)
+      REAL albedo(klon2,nbsrf)
+      REAL alblw(klon2,nbsrf)
+      REAL evap(klon2,nbsrf)
+      REAL rain_fall(klon2)
+      REAL snow_fall(klon2)
+      real solsw(klon2)
+      real sollw(klon2)
+      real fder(klon2)
+      REAL radsol(klon2)
+      REAL frugs(klon2,nbsrf)
+      REAL agesno(klon2,nbsrf)
+      REAL zmea(klon2)
+      REAL zstd(klon2)
+      REAL zsig(klon2)
+      REAL zgam(klon2)
+      REAL zthe(klon2)
+      REAL zpic(klon2)
+      REAL zval(klon2)
+      REAL rugsrel(klon2)
+      REAL pctsrf(klon2, nbsrf)
+      REAL t_ancien(klon2,klev), q_ancien(klon2,klev)
+      real clwcon(klon2,klev),rnebcon(klon2,klev),ratqs(klon2,klev)
       REAL run_off_lic_0(klon)
 c
@@ -71,4 +103,42 @@
       CHARACTER*2 str2
 c
+
+      call GatherField( rlat_p,rlat,1)
+      call GatherField( rlon_p,rlon,1)
+      call GatherField( tsol_p,tsol,nbsrf)
+      call GatherField( tsoil_p,tsoil,nsoilmx*nbsrf)
+      call GatherField( deltat_p,deltat,1)
+      call GatherField( qsurf_p,qsurf,nbsrf)
+      call GatherField( qsol_p,qsol,1)
+      call GatherField( snow_p,snow,nbsrf)
+      call GatherField( albedo_p,albedo,nbsrf)
+      call GatherField( alblw_p,alblw,nbsrf)
+      call GatherField( evap_p,evap,nbsrf)
+      call GatherField( radsol_p,radsol,1)
+      call GatherField( rain_fall_p,rain_fall,1)
+      call GatherField( snow_fall_p,snow_fall,1)
+      call GatherField( sollw_p,sollw,1)
+      call GatherField( solsw_p,solsw,1)
+      call GatherField( fder_p,fder,1)
+      call GatherField( frugs_p,frugs,nbsrf)
+      call GatherField( agesno_p,agesno,nbsrf)
+      call GatherField( zmea_p,zmea,1)
+      call GatherField( zstd_p,zstd,1)
+      call GatherField( zsig_p,zsig,1)
+      call GatherField( zgam_p,zgam,1)
+      call GatherField( zthe_p,zthe,1)
+      call GatherField( zpic_p,zpic,1)
+      call GatherField( zval_p,zval,1)
+      call GatherField( rugsrel_p,rugsrel,1)
+      call GatherField( pctsrf_p,pctsrf, nbsrf)
+      call GatherField( run_off_lic_0_p,run_off_lic_0,1)
+      call GatherField( t_ancien_p,t_ancien,klev)
+      call GatherField( q_ancien_p,q_ancien,klev)
+      call GatherField( rnebcon_p,rnebcon,klev)
+      call GatherField( clwcon_p,clwcon,klev)
+      call GatherField( ratqs_p,ratqs,klev)
+      
+      if (phy_rank==0) then
+      
       ierr = NF_CREATE(fichnom, NF_CLOBBER, nid)
       IF (ierr.NE.NF_NOERR) THEN
@@ -780,4 +850,5 @@
       ierr = NF_CLOSE(nid)
 c
+      endif   ! phy_rank==0
       RETURN
       END
